package com.bjlt.spider.interfaces;

import com.bjlt.spider.util.RespEntity;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @Author: Scott
 * @Description:
 * @Date: Create in 20:52 2017/10/11
 */
@FeignClient(value = "ip-service" ,fallback = IpRpcHystrix.class)
public interface IpRpc {
    @RequestMapping(value = "/ip/getIPByChannel", method = RequestMethod.POST)
    RespEntity getIPByChannel(@RequestParam("channelID") String channelID, @RequestParam("method") String method);


    @RequestMapping(value = "/ip/changeIPStatus", method = RequestMethod.POST)
    void changeIPStatus(@RequestParam("channelID") String channelID, @RequestParam("ip") String ip);


    @RequestMapping(value = "/ip/selectIpStatus", method = RequestMethod.POST)
    RespEntity selectIpStatus();
}
